
from mako.lookup import TemplateLookup
from mako.template import Template

from mandaye import config, global_config

mylookup = TemplateLookup(directories=[config.template_directory, global_config.template_directory],
        input_encoding='utf-8')

def serve_template(templatename, **kwargs):
    """ serve a template
    """
    mytemplate = mylookup.get_template(templatename)
    return mytemplate.render_unicode(static_url=config.static_url,
                                     **kwargs).encode('utf-8', 'replace')
